PETSc version 3.15.5
Fix/Edit manual page

# SNESLINESEARCHNLEQERR

Error-oriented affine-covariant globalised Newton algorithm of Deuflhard (2011). This linesearch is intended for Newton-type methods which are affine covariant. Affine covariance means that Newton's method will give the same iterations for F(x) = 0 and AF(x) = 0 for a nonsingular matrix A. This is a fundamental property; the philosophy of this linesearch is that globalisations of Newton's method should carefully preserve it.

For a discussion of the theory behind this algorithm, see

@book{deuflhard2011, title={Newton Methods for Nonlinear Problems}, author={Deuflhard, P.}, volume={35}, year={2011}, publisher={Springer-Verlag}, address={Berlin, Heidelberg} }

Pseudocode is given on page 148.

### Options Database Keys

| -snes_linesearch_damping<1.0> | - initial step length
| -snes_linesearch_minlambda<1e | - 12> - minimum step length allowed

Contributed by Patrick Farrell <patrick.farrell@maths.ox.ac.uk>

### See Also

SNESLineSearchCreate(), SNESLineSearchSetType()

### Level

advanced

### Location

src/snes/linesearch/impls/nleqerr/linesearchnleqerr.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages